ATA_DEVICE_ADD(9)

NAME
ata_device_add - Register hardware device with ATA and SCSI layers

SYNOPSIS

int ata_device_add (const struct ata_probe_ent * ent);

ARGUMENTS

ent Probe information describing hardware device to be registered

DESCRIPTION

This function processes the information provided in the probe information struct ent, allocates the necessary ATA and SCSI host information structures, initializes them, and registers everything with requisite kernel subsystems.

This function requests irqs, probes the ATA bus, and probes the SCSI bus.

LOCKING

PCI/etc. bus probe sem.

RETURNS

Number of ports registered. Zero on error (no ports registered).

AUTHOR
Jeff Garzik.